# eric4.Plugins.VcsPlugins.vcsPySvn.SvnRelocateDialog

Module implementing a dialog to enter the data to relocate the workspace.

### Global Attributes

None

### Classes

SvnRelocateDialog | Class implementing a dialog to enter the data to relocate the workspace.

### Functions

None

## SvnRelocateDialog

Class implementing a dialog to enter the data to relocate the workspace.

### Derived from

QDialog, Ui_SvnRelocateDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnRelocateDialog | Constructor
getData | Public slot used to retrieve the data entered into the dialog.

### Static Methods

None

#### SvnRelocateDialog (Constructor)

SvnRelocateDialog(currUrl, parent = None)

Constructor

currUrl
  current repository URL (string or QString)
parent
  parent widget (QWidget)

#### SvnRelocateDialog.getData

getData()

Public slot used to retrieve the data entered into the dialog.

Returns:
  the new repository URL (string) and an indication, if the relocate is inside the repository (boolean)

Up